9100: Create media

9100: Create media

Add a media file to the dialogportal™ Media Archive.

The Media Archive provides a public repository for media files. Currently the allowed file type are:

File type

contentType

File type

contentType

Image

image/gif, image/jpeg etc.

Video

application/octet-stream

PDF

application/pdf

Javascript

text/javascript, application/x-javascript or text/plain with .js fileName

Stylesheet

text/css or text/plain with .css fileName

Font

application/x-font-ttf, application/x-font-woff, application/vnd.ms-fontobject

Icon

image/x-icon, image/vnd.microsoft.icon

HTC

text/x-component or text/plain with .htc fileName

Media in the archive is contained in a folder structure, and file and folder names are unique within their respective folders.

When attempting to create a media file with a name that already exists in the folder, the autoName field is used to determine the correct action. When autoName is omitted or set to false, a 303 response will be returned including a location header containing the URL to the existing media file. When autoName is true, the file will be created with an auto-incremented "index" appended to the file name, "file_1.txt", "file_2.txt" etc.

To add new folders simply include them in your folderPath. Folders that do not already exist will be created.

Endpoint ID:

9100

Method:

URL:

/content/media

Request body:

JSON data with information about the media to be created.

Required fields:

 

content

The content, formatted as a base64 encoded text string.

 

contentType

The content mime-type, i.e. "image/gif" or "text/plain".

 

fileName

A file name or title for the media item.

Optional fields:

 

folderPath

A folder path to the media file. This path is not the entire URL (which also contains the customer name, fileName etc.) but simply a "/"-delimited string of folder names.

 

description

A description that will be displayed in dialogportal™

 

autoName

A boolean value indicating that fileName should be renamed if a media file already exists with the same name. fileName will be renamed with a trailing "_{index}" (before the file extension, if it exists). The index will be the next valid index, starting from "_1", so multiple files named "file.txt" will be created as "file.txt", "file_1.txt", "file_2.txt" etc.

The default value is false.

Example: Create a single pixel image
 { "content": "R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==", "contentType": "image/gif", "fileName": "clear 1x1.gif", "folderPath": "Assets/Generic Images/Small", "autoName" : true }

Response body:


A JSON object containing the url to the newly created content.

Example
{ "url": "https://media.dialogportal.com/customer_name/assets/generic_images/small/clear_1x1.gif" }

The URL format is:

Base URL

https://media.dialogportal.com/

Customer name

customer_name/

Folder path

assets/generic_images/small/

File name

clear_1x1.gif

The fileName and folderPath have been sanitized, making them safe to use in a URL.

Status codes:

201

Media created successfully.

 

303

A media file with this name already exists in the folder.

The response includes a location header containing the URL to the existing media file.

 

400.1

Content type not recognized

 

400.2

Media files may not be larger than 2MB